Save GSTR-4 Annual Return as a Draft
PUT
https://apisandbox.whitebooks.in/gstr4annual/retsaveUsed to save entire GSTR4Annual invoices.
Parameters
query parameters
emailstringrequiredUser Email
header parameters
gstinstringrequiredGST Number
ret_periodstringrequiredReturn Period (MMYYYY)
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Request Body
application/jsonrequired
gstinstringoptionalSupplier GSTIN
Example: "27AHQPA7588L1ZJ"
agg_turnoverintegeroptionalAggregate Turnover
Example: 10000
fpstringoptionalFinancial Period
Example: "022024"
isnilstringoptionalAction Type
Example: "N"
isresetstringoptionalAction
Example: "N"
b2borarray<object>optionalArray items:
ctinstringoptionalSupplier GSTIN
Example: "27AHQPA7588L1ZJ"
posstringoptionalMaintained in GST System common database POS as provided in law / actual provision of service.
Example: "06"
itmsarray<object>optionalArray items:
rtnumberoptionalrate
Example: 5
txvalnumberoptionalTaxable value of Goods or Service as per invoice
Example: 10000
iamtnumberoptionalIGST Amount as per invoice
Example: 325
camtnumberoptionalCGST Amount as per invoice
Example: 0
samtnumberoptionalSGST Amount as per invoice
Example: 0
csamtnumberoptionalCess Amount as per invoice
Example: 500
b2brarray<object>optionalArray items:
ctinstringoptionalSupplier GSTIN
Example: "27AHQPA7588L1ZJ"
posstringoptionalMaintained in GST System common database POS as provided in law / actual provision of service.
Example: "06"
itmsarray<object>optionalArray items:
rtnumberoptionalrate
Example: 5
txvalnumberoptionalTaxable value of Goods or Service as per invoice
Example: 10000
iamtnumberoptionalIGST Amount as per invoice
Example: 325
camtnumberoptionalCGST Amount as per invoice
Example: 0
samtnumberoptionalSGST Amount as per invoice
Example: 0
csamtnumberoptionalCess Amount as per invoice
Example: 500
b2burarray<object>optionalArray items:
rchrgstringoptionalReverse Charge
Example: "Y"
itmsarray<object>optionalArray items:
rtnumberoptionalrate
Example: 5
txvalnumberoptionalTaxable value of Goods or Service as per invoice
Example: 10000
iamtnumberoptionalIGST Amount as per invoice
Example: 325
camtnumberoptionalCGST Amount as per invoice
Example: 0
samtnumberoptionalSGST Amount as per invoice
Example: 0
csamtnumberoptionalCess Amount as per invoice
Example: 500
posstringoptionalMaintained in GST System common database POS as provided in law / actual provision of service.
Example: "06"
trdnmstringoptionaltrade name
Example: "ABC ltd"
sply_tystringoptionalSupply Type
Example: "INTER"
cpanstringoptionalPAN Number
Example: "AABCE2207R"
impsarray<object>optionalArray items:
itmsarray<object>optionalArray items:
rtnumberoptionalrate
Example: 5
txvalnumberoptionalTaxable value of Goods or Service as per invoice
Example: 10000
iamtnumberoptionalIGST Amount as per invoice
Example: 325
csamtnumberoptionalCess Amount as per invoice
Example: 500
posstringoptionalMaintained in GST System common database POS as provided in law / actual provision of service.
Example: "06"
outsupplyarray<object>optionalArray items:
rtnumberoptionalrate
Example: 5
txvalnumberoptionalTaxable value of Goods or Service as per invoice
Example: 10000
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP PUT to
/gstr4annual/retsave. Required parameters: email (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.For Save GSTR4Annual data (PUT
/gstr4annual/retsave), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).Used to save entire GSTR4Annual invoices.
No example available.